Page MenuHomePhabricator

ContentTranslation inserts HTML source when adapting {{Cite journal}} from English to Czech, Chinese
Closed, ResolvedPublic

Description

I just translated page en:Drosha to czech cs:Drosha using ContentTranslate feature.

It generates strange <span> tags inside the reference tags.
https://cs.wikipedia.org/w/index.php?title=Drosha&oldid=12805479

Can you do something about it?

Event Timeline

Vojtech.dostal raised the priority of this task from to Needs Triage.
Vojtech.dostal updated the task description. (Show Details)
Vojtech.dostal added a subscriber: Vojtech.dostal.
Restricted Application added subscribers: matej_suchanek, Aklapper. · View Herald TranscriptAug 15 2015, 11:37 AM
Amire80 renamed this task from ContentTranslate inserting strange <span> tags in enwiki to cswiki translations to ContentTranslate inserts HTML source when adapting {{Cite journal}} from English to Czech.Aug 20 2015, 4:46 PM
Amire80 renamed this task from ContentTranslate inserts HTML source when adapting {{Cite journal}} from English to Czech to ContentTranslation inserts HTML source when adapting {{Cite journal}} from English to Czech.
Amire80 set Security to None.
Amire80 added subscribers: santhosh, Amire80.

It looks like it happened because the English template {{Cite journal}} doesn't have a directly corresponding template in Czech. If there was one, there would be a chance to have it properly adapted as a template, but if it's not, then it will definitely not work.

@santhosh may add more details.

There is one corresponding template - Šablona:Citace periodika.
We use it as a direct alternative to Template:Cite journal

Amire80 triaged this task as Medium priority.Aug 22 2015, 11:57 AM

There is one corresponding template - Šablona:Citace periodika.
We use it as a direct alternative to Template:Cite journal

We use interlanguage links to identify that templates correspond to each other. English {{Cite journal}} is not linked to any template in the Czech Wikipedia. Czech {{Citace periodika}} is linked to {{Cite news}} in English. There can only be a one-to-one correspondence. (But again, @santhosh may correct me if I'm wrong.)

Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Aug 22 2015, 12:00 PM

I asked the Czech community if Cite journal can be interwiki-linked to Citace periodika.

Cite journal is now linked to Citace periodika.
I would love if this bug got fixed, can I do something for it to happen?

Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 1 2015, 6:06 PM
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 16 2015, 8:15 AM
santhosh renamed this task from ContentTranslation inserts HTML source when adapting {{Cite journal}} from English to Czech to ContentTranslation inserts HTML source when adapting {{Cite journal}} from English to Czech, Chinese.Mar 16 2016, 6:01 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptDec 3 2016, 2:40 PM
Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Dec 10 2018, 1:37 PM
Restricted Application added a subscriber: Urbanecm. · View Herald TranscriptDec 10 2018, 1:37 PM
Etonkovidova closed this task as Resolved.Jan 7 2019, 3:58 AM
Etonkovidova claimed this task.
Etonkovidova added a subscriber: Etonkovidova.

CX2 has improved handling of references - the tracking task T132871: Document how (if it is possible) we can avoid translation of the text output from templates for issues with references and T113182: CX - Multiple problems with span tags were resolved and closed. I checked en:Drosha->cs translation for reference list - the <span> issue seems not to be present.

Shizhao moved this task from Backlog to Closed on the Chinese-Sites board.Jan 11 2019, 3:56 AM